# Generated by Django 3.2 on 2022-12-14 15:31

import ckeditor_uploader.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ('taggit', '0005_auto_20220424_2025'),
        ('rizq_sanjaya_app', '0041_news_jenis'),
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('product_name', models.CharField(max_length=255)),
                ('images', models.ImageField(default='profile/images/produk/no-image.jpg', upload_to='profile/images/produk/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('description', ckeditor_uploader.fields.RichTextUploadingField()),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('best_seller', models.BooleanField(default=False, max_length=1)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='agenda',
            name='created_by',
        ),
        migrations.RemoveField(
            model_name='announcement',
            name='created_by',
        ),
        migrations.DeleteModel(
            name='Complaint',
        ),
        migrations.RemoveField(
            model_name='document',
            name='created_by',
        ),
        migrations.RemoveField(
            model_name='guestbook',
            name='approved_by',
        ),
        migrations.DeleteModel(
            name='Halaman',
        ),
        migrations.DeleteModel(
            name='PaketWisata',
        ),
        migrations.DeleteModel(
            name='PaketWisata_Detail',
        ),
        migrations.AlterField(
            model_name='category',
            name='typexs',
            field=models.CharField(default='product', max_length=100),
        ),
        migrations.DeleteModel(
            name='Agenda',
        ),
        migrations.DeleteModel(
            name='Announcement',
        ),
        migrations.DeleteModel(
            name='Document',
        ),
        migrations.DeleteModel(
            name='GuestBook',
        ),
        migrations.AddField(
            model_name='product',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.category'),
        ),
        migrations.AddField(
            model_name='product',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='product',
            name='tags',
            field=taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
    ]
